{config, ...}: {
  home.file.keepassxc = {
    target = ".var/app/org.keepassxc.KeePassXC/config/keepassxc/keepassxc.ini";
    # TODO is there a better way?
    source = config.lib.file.mkOutOfStoreSymlink config.xdg.configHome + /keepassxc/keepassxc.ini;
  };

  programs.keepassxc.enable = true;
  programs.keepassxc.package = null; # Flatpak
  programs.keepassxc.settings = {
    General = {
      MinimizeAfterUnlock = true;
      OpenPreviousDatabasesOnStartup = false;
      RememberLastDatabases = false;
      RememberLastKeyFiles = false;
      MinimizeOnCopy = true;
    };
    GUI = {
      CompactMode = true;
      MonospaceNotes = true;
      CheckForUpdates = false;
      ColorPasswords = true;
    };
    PasswordGenerator = {
      AdvancedMode = true;
      Length = 64;
    };
    Browser = {
      Enabled = true;
      BestMatchOnly = true;
    };
    SSHAgent = {
      Enabled = true;
      # TODO get runtime dir dynamically
      AuthSockOverride = "/run/user/1000/gnupg/S.gpg-agent.ssh";
    };
    Security = {
      IconDownloadFallback = true;
      LockDatabaseScreenLock = false;
    };
  };
}
